<?php

class WMITrackDB{

	static public function setup(){
		
		//WMI Collected Data
		$data=array();
		$data['columns'][] = array('name' => 'id', 'unsigned' => true, 'type' => 'int(10)', 'NULL' => false, 'auto_increment' => true);
		$data['columns'][] = array('name' => 'device', 'type' => 'int(10)', 'NULL' => false, 'default' => '0');
		$data['columns'][] = array('name' => 'object', 'type' => 'varchar(255)', 'NULL' => false, 'default' => '');
		$data['columns'][] = array('name' => 'oid', 'type' => 'varchar(255)', 'NULL' => true);
		$data['columns'][] = array('name' => 'result', 'type' => 'varchar(255)', 'NULL' => true);
		$data['columns'][] = array('name' => 'date_last', 'type' => 'timestamp', 'NULL' => false, 'default' => 'CURRENT_TIMESTAMP', 'on_update' => 'CURRENT_TIMESTAMP');
	
		$data['primary'] = 'id';
		$data['type'] = 'InnoDB';
		$data['comment']='Collected WMI Data';
		
		api_plugin_db_table_create ('wmitrack', 'wmi_track_data', $data);
		
		//Devices to collect data on
		$data=array();
		$data['columns'][] = array('name' => 'id', 'unsigned' => true, 'type' => 'int(10)', 'NULL' => false, 'auto_increment' => true);
		$data['columns'][] = array('name' => 'hostname', 'type' => 'varchar(255)', 'NULL' => false, 'default' => '');
		$data['columns'][] = array('name' => 'disable', 'type' => 'int(1)', 'NULL' => true,'default'=>'0');
		$data['columns'][] = array('name' => 'cycle', 'type' => 'int(2)', 'NULL' => true,'default'=>'0');
		
		$data['primary'] = 'id';
		$data['type'] = 'InnoDB';
		$data['comment']='Hosts to collect WMI data on';
			
		api_plugin_db_table_create ('wmitrack', 'wmi_track_hosts', $data);

	}
	
	
}
?>