class WMITrack{
	constructor(){
		this.dataTable=document.getElementById('wmiTable');
		this.filterHDDBelow10=[];
		this.filterHDDBelow5=[];
		this.filterHDDBelow1=[];
		
		this.filterSysStatus=[];
		this.filterOSStatus=[];
	}
	showRow(row){
		row.style.visibility='visible';
		row.style.lineHeight=null;
	}
	hideRow(row){
		row.style.visibility='hidden';
		row.style.lineHeight='0px';
	}
	
	showAll(){
		var countRows=1;
		var totalRows=this.dataTable.rows.length;
		while(countRows<totalRows){
			this.showRow(this.dataTable.rows[countRows]);
			countRows++;
		}
	}
	hideAll(){
		var countRows=1;
		var totalRows=this.dataTable.rows.length;
		while(countRows<totalRows){
			this.hideRow(this.dataTable.rows[countRows]);
			countRows++;
		}
	}
	show(devices){
		this.hideAll();
		var countRows=1;
		var totalRows=this.dataTable.rows.length;
		while(countRows<totalRows){
			var countDevices=0;
			var totalDevices=devices.length;
			while(countDevices<totalDevices){
				if("row_"+devices[countDevices]==this.dataTable.rows[countRows].id){
					this.showRow(this.dataTable.rows[countRows]);
					break;
				}
				countDevices++;
			}
			countRows++;
		}
	}
	
	showLowHDD(amount){
		switch(amount){
			case 10:
				this.show(this.filterHDDBelow10);
				break;
			case 5:
				this.show(this.filterHDDBelow5);
				break;
			case 1:
				this.show(this.filterHDDBelow1);
				break;
		}
	}
	
}